import {
	defineStore
} from 'pinia';

export const useStore = defineStore('counter', {
	state: () => ({
		user: false,
		config: false,
		save: {
			hospital: 0,
			doctor: 1,
		},
		api_map: {},
		count: 0,
		loading: 0,
	}),
	actions: {
		resetSaveInfo() {
			this.save = {
				hospital: 0,
				doctor: 1,
			}
			uni.setStorageSync('SAVE_INFO', JSON.stringify(this.save))
		},
		saveInfo(data) {
			for (let i in data) {
				this.save[i] = data[i]
			}
			uni.setStorageSync('SAVE_INFO', JSON.stringify(this.save))
		},
		loadingStart() {
			this.loading++
		},
		loadingDone() {
			this.loading--
			if (this.loading < 0) this.loading = 0
		}
	},
});